##### 7.5.6.0. annihilatorMultiFs

Procedure from library `dmodideal.lib` (see dmodideal_lib).

Usage:
  annihilatorMultiFs(F [,eng,us,ord]); F an ideal, eng, us, ord optional ints

Return:
  ring

Purpose:
  compute Ann(F[1]^s(1)*...*F[P]^s(P))
  with the multivariate algorithm by Briancon and Maisonobe.

Assume:
  basering is a commutative polynomial ring in characteristic 0

Note:
  activate the output ring with the `setring` command. In this ring, the ideal annFs is the annihilator of F[1]^s_1*..*F[P]^s_p. If eng <>0, `std` is used for Groebner basis computations, otherwise, and by default `slimgb` is used. If us<>0, then syzygies-driven method is used additionally. If specified, ord describes the desired order from the following choices: 0 - 'dp'
  1 - elimination order for x, 'dp' in the parts
  2 - elimination order for s, 'dp' in the parts
  3 - elimination order for x and s, 'dp' in the parts
  4 - elimination order for x and D, 'dp' in the parts
  (used for the further work in the Bernstein-Sato ideal) If printlevel=1, progress debug messages will be printed, if printlevel>=2, all the debug messages will be printed.

Example:

    LIB "dmodideal.lib";
    ring R = 0,(x,y),dp;
    ideal F = x^2-y,y;
    def S = annihilatorMultiFs(F,0,0,0);
    setring S;
    annFs;
    ==> annFs[1]=-2*x*y*Dy-y*Dx+2*x*s(2)
    ==> annFs[2]=-x*Dx-2*y*Dy+2*s(1)+2*s(2)
    groebner(annFs);
    ==> _[1]=x*Dx+2*y*Dy-2*s(1)-2*s(2)
    ==> _[2]=2*x*y*Dy+y*Dx-2*x*s(2)
    ==> _[3]=4*y^2*Dy^2-y*Dx^2-4*y*Dy*s(1)-8*y*Dy*s(2)+2*y*Dy+4*s(1)*s(2)+4*s(2)^\
       2+2*s(2)

User manual for Singular version 4.4.1, 2025, generated by texi2html.